function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_bathroom2"
end

function p.main()
    set_default_block("r_kitchen")
    
    std.create_half_tube(3, "x_neg", "e")
    std.create_half_tube(3, "y_neg", "e")
    std.create_center(5,"e")
    
    local msg_str = "A ^x00ff00Hard User Error^! "
        .. "is caused by bad data given to the engine. "
        .. "\"Hard\" means the program will always exit "
        .. "when such an error is encountered.\n\n"
        .. "An error which is detected while loading a package "
        .. "is generally a hard user error "
        .. "(as opposed to a soft one).\n\n"
        .. "For example, a file not being found "
        .. "that was listed in sound_names.txt or "
        .. "texture_names.txt or mesh_names.txt "
        .. "is a hard user error.\n\n"
        .. "Also, if the get_tex function of "
        .. "a chunk generation script "
        .. "returns a texture name that does not exist, "
        .. "this is a hard user error. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
